clifractgen(1)

NAME
clifractgen - Fractal Generator

SYNOPSIS
clifractgen fsf_file output_file [-h | - -help] [-v | - -version] [-W image_width | - -width image_width] [-H image_height | - -height image_height] [-M max_iterations | - -maxIterations max_iterations]

DESCRIPTION
clifractgen FractGen is a simple Qt-based fractal generator program for Mandelbrot fractals. The image size is only limited by virtual memory. It is possible to zoom into images. Image parameters can be saved in XML files and loaded from XML files. Calculated images can be exported as PNG files.
The intention of this program is to generate graphics to be post-processed by other image tools, e.g. in order to generate nice screen backgrounds or book covers.
This is the command-line version of FractGen. This program can be used to calculate files created by FractGen on machines without GUI, e.g. to produce high-resolution images on a powerful server.

ARGUMENTS
The following argument may be provided:

-h | - -help
    Show arguments help and exit.

-v | - -version
    Show version and exit.

EXAMPLES

clifractgen -h

clifractgen -v

clifractgen fractgen.fsf fractgen-uhd.png -W 3840 -H 2160 -M 10000

clifractgen alpha05.fsf alpha05.png --width 3840 --height 2160 --max-iterations 10000

clifractgen beta07.fsf beta07-A3.png -W21000 -H14850 -M10000

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/fractalgenerator
mailto://thomas.dreibholz@gmail.com